--
-- Структура таблицы `access_name`
--

CREATE TABLE IF NOT EXISTS `access_name` (
  `access` varchar(256) NOT NULL,
  `name` varchar(256) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `access_name`
--

INSERT INTO `access_name` (`access`, `name`) VALUES
('panel_access', 'Управление правами доступа'),
('full_edit_downloads', 'Полное редактирование файлов загруз-центра'),
('add_files_downloads', 'Добавление файлов в загруз-центр'),
('add_dir_downloads', 'Добавление папок в загруз-центре'),
('view_closed_modules', 'Просмотр закрытых разделов'),
('delete_comments', 'Удаление комментариев'),
('team_news', 'Управление объявлениями для команды');

-- --------------------------------------------------------

--
-- Структура таблицы `chat`
--

CREATE TABLE IF NOT EXISTS `chat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `text` text NOT NULL,
  `cit` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `chat`
--


-- --------------------------------------------------------

--
-- Структура таблицы `comments`
--

CREATE TABLE IF NOT EXISTS `comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `m` varchar(256) NOT NULL,
  `m_id` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `comments`
--

-- --------------------------------------------------------

--
-- Структура таблицы `downloads`
--

CREATE TABLE IF NOT EXISTS `downloads` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dir_id` int(11) NOT NULL,
  `path` varchar(256) NOT NULL,
  `type` int(11) NOT NULL,
  `name` varchar(256) NOT NULL,
  `server_name` varchar(256) NOT NULL,
  `time` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `file_ext` varchar(256) NOT NULL,
  `screen1` varchar(512) NOT NULL,
  `screen2` varchar(512) NOT NULL,
  `screen3` varchar(512) NOT NULL,
  `about` text NOT NULL,
  `producer` varchar(512) NOT NULL,
  `year_release` varchar(32) NOT NULL,
  `rate_promob` int(11) NOT NULL,
  `loads` int(11) NOT NULL,
  `rate` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `downloads`
--

-- --------------------------------------------------------

--
-- Структура таблицы `downloads_comments`
--

CREATE TABLE IF NOT EXISTS `downloads_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `downloads_comments`
--

-- --------------------------------------------------------

--
-- Структура таблицы `downloads_files`
--

CREATE TABLE IF NOT EXISTS `downloads_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `name` varchar(256) NOT NULL,
  `size` int(11) NOT NULL,
  `server_name` varchar(512) NOT NULL,
  `ext` varchar(64) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `downloads_files`
--

-- --------------------------------------------------------

--
-- Структура таблицы `forum_f`
--

CREATE TABLE IF NOT EXISTS `forum_f` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `r_id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `pos` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `forum_f`
--

-- --------------------------------------------------------

--
-- Структура таблицы `forum_p`
--

CREATE TABLE IF NOT EXISTS `forum_p` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `theme_id` int(11) NOT NULL,
  `t_id` int(11) NOT NULL,
  `f_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `theme` varchar(256) NOT NULL DEFAULT '',
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `edit_time` int(11) NOT NULL,
  `count_edit` int(11) NOT NULL,
  `edit_user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `forum_p`
--

-- --------------------------------------------------------

--
-- Структура таблицы `forum_r`
--

CREATE TABLE IF NOT EXISTS `forum_r` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `pos` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `forum_r`
--

-- --------------------------------------------------------

--
-- Структура таблицы `forum_read`
--

CREATE TABLE IF NOT EXISTS `forum_read` (
  `user_id` int(11) NOT NULL,
  `forum_f_id` int(11) NOT NULL,
  `forum_t_id` int(11) NOT NULL,
  `post_id` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `forum_read`
--

-- --------------------------------------------------------

--
-- Структура таблицы `forum_t`
--

CREATE TABLE IF NOT EXISTS `forum_t` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `f_id` int(11) NOT NULL,
  `time_last_post` int(11) NOT NULL,
  `closed` int(1) NOT NULL,
  `attach` int(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `forum_t`
--

-- --------------------------------------------------------

--
-- Структура таблицы `friends`
--

CREATE TABLE IF NOT EXISTS `friends` (
  `user_id` int(11) NOT NULL,
  `friend_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `active` int(1) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `friends`
--

-- --------------------------------------------------------

--
-- Структура таблицы `guests`
--

CREATE TABLE IF NOT EXISTS `guests` (
  `ip` varchar(256) NOT NULL,
  `ua` varchar(512) NOT NULL,
  `date_last` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `guests`
--

-- --------------------------------------------------------

--
-- Структура таблицы `loads`
--

CREATE TABLE IF NOT EXISTS `loads` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dir_id` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  `name` varchar(256) NOT NULL,
  `time` int(11) NOT NULL,
  `screen1` varchar(512) NOT NULL,
  `screen2` varchar(512) NOT NULL,
  `screen3` varchar(512) NOT NULL,
  `about` text NOT NULL,
  `rate` int(11) NOT NULL,
  `loads` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `loads`
--

-- --------------------------------------------------------

--
-- Структура таблицы `loads_files`
--

CREATE TABLE IF NOT EXISTS `loads_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `name` varchar(256) NOT NULL,
  `size` int(11) NOT NULL,
  `server_name` varchar(512) NOT NULL,
  `ext` varchar(64) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `loads_files`
--

-- --------------------------------------------------------

--
-- Структура таблицы `lost_password`
--

CREATE TABLE IF NOT EXISTS `lost_password` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(64) NOT NULL,
  `email` varchar(256) NOT NULL,
  `key` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `lost_password`
--


-- --------------------------------------------------------

--
-- Структура таблицы `mail`
--

CREATE TABLE IF NOT EXISTS `mail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mail_chat_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `to_id` int(11) NOT NULL,
  `read` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `mail`
--

-- --------------------------------------------------------

--
-- Структура таблицы `mail_chat`
--

CREATE TABLE IF NOT EXISTS `mail_chat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `to_id` int(11) NOT NULL,
  `time_last_mail` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `mail_chat`
--

-- --------------------------------------------------------

--
-- Структура таблицы `news`
--

CREATE TABLE IF NOT EXISTS `news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `title` varchar(256) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `view` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `news`
--

-- --------------------------------------------------------

--
-- Структура таблицы `news_comments`
--

CREATE TABLE IF NOT EXISTS `news_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `news_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `news_comments`
--

-- --------------------------------------------------------

--
-- Структура таблицы `rate`
--

CREATE TABLE IF NOT EXISTS `rate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `module` varchar(256) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `rate`
--


-- --------------------------------------------------------

--
-- Структура таблицы `system`
--

CREATE TABLE IF NOT EXISTS `system` (
  `key` text NOT NULL,
  `value` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `system`
--

INSERT INTO `system` (`key`, `value`) VALUES
('img_files', 'png;gif;jpg;jpeg;'),
('files_ext', 'png;gif;jpg;jpeg;sis;sisx;zip;rar;jar;jar;mp4;3gp;'),
('downloads_module', '1'),
('downloads_module_about', 'Уважаемые посетители, загруз-центр временно закрыт, для проведения технических работ.'),
('forum_module', '1'),
('forum_module_about', 'Уважаемые посетители, форум временно закрыт, для проведения технических работ.');

-- --------------------------------------------------------

--
-- Структура таблицы `system_logs`
--

CREATE TABLE IF NOT EXISTS `system_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(256) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `system_logs`
--


-- --------------------------------------------------------

--
-- Структура таблицы `team_news`
--

CREATE TABLE IF NOT EXISTS `team_news` (
  `title` varchar(256) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `team_news`
--


-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(32) NOT NULL,
  `nick` varchar(64) NOT NULL,
  `password` varchar(64) NOT NULL,
  `date_reg` int(11) NOT NULL,
  `date_last_entry` int(11) NOT NULL,
  `level` int(11) NOT NULL DEFAULT '1',
  `email` varchar(72) NOT NULL,
  `user_name` varchar(256) NOT NULL,
  `user_surname` varchar(256) NOT NULL,
  `user_motto` varchar(512) NOT NULL,
  `user_info` text NOT NULL,
  `user_interest` varchar(3000) NOT NULL,
  `user_home` varchar(256) NOT NULL,
  `user_mobile` varchar(256) NOT NULL,
  `user_icq` varchar(256) NOT NULL,
  `user_site` varchar(256) NOT NULL,
  `pol` int(11) NOT NULL DEFAULT '0',
  `bd_year` int(11) DEFAULT NULL,
  `bd_month` int(11) DEFAULT NULL,
  `bd_day` int(11) DEFAULT NULL,
  `rating` int(11) NOT NULL,
  `ank_view` int(11) NOT NULL,
  `admin_panel` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `users`
--

-- --------------------------------------------------------

--
-- Структура таблицы `user_access`
--

CREATE TABLE IF NOT EXISTS `user_access` (
  `level` int(11) NOT NULL,
  `name` varchar(256) NOT NULL,
  `status` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `user_access`
--

INSERT INTO `user_access` (`level`, `name`, `status`) VALUES
(1, 'panel_access', 1),
(2, 'panel_access', 1),
(3, 'panel_access', 1),
(4, 'panel_access', 1),
(5, 'panel_access', 1),
(6, 'panel_access', 1),
(7, 'panel_access', 1),
(8, 'panel_access', 1),
(9, 'panel_access', 1),
(10, 'panel_access', 1),
(11, 'panel_access', 1),
(12, 'panel_access', 1),
(13, 'panel_access', 1),
(14, 'panel_access', 1),
(15, 'panel_access', 2),
(15, 'view_closed_modules', 2),
(14, 'view_closed_modules', 2),
(13, 'view_closed_modules', 1),
(12, 'view_closed_modules', 1),
(11, 'view_closed_modules', 1),
(10, 'view_closed_modules', 2),
(9, 'view_closed_modules', 1),
(8, 'view_closed_modules', 1),
(7, 'view_closed_modules', 1),
(6, 'view_closed_modules', 1),
(5, 'view_closed_modules', 1),
(4, 'view_closed_modules', 1),
(3, 'view_closed_modules', 1),
(2, 'view_closed_modules', 1),
(1, 'view_closed_modules', 1),
(15, 'full_edit_downloads', 2),
(14, 'full_edit_downloads', 1),
(13, 'full_edit_downloads', 1),
(12, 'full_edit_downloads', 1),
(11, 'full_edit_downloads', 1),
(10, 'full_edit_downloads', 1),
(9, 'full_edit_downloads', 1),
(8, 'full_edit_downloads', 1),
(7, 'full_edit_downloads', 1),
(6, 'full_edit_downloads', 1),
(5, 'full_edit_downloads', 1),
(4, 'full_edit_downloads', 1),
(3, 'full_edit_downloads', 1),
(2, 'full_edit_downloads', 1),
(1, 'full_edit_downloads', 1),
(14, 'add_files_downloads', 2),
(15, 'add_files_downloads', 2),
(12, 'add_files_downloads', 1),
(13, 'add_files_downloads', 1),
(10, 'add_files_downloads', 2),
(11, 'add_files_downloads', 1),
(8, 'add_files_downloads', 1),
(9, 'add_files_downloads', 1),
(6, 'add_files_downloads', 1),
(7, 'add_files_downloads', 1),
(4, 'add_files_downloads', 1),
(5, 'add_files_downloads', 1),
(2, 'add_files_downloads', 1),
(3, 'add_files_downloads', 1),
(15, 'add_dir_downloads', 2),
(1, 'add_files_downloads', 1),
(13, 'add_dir_downloads', 1),
(14, 'add_dir_downloads', 1),
(11, 'add_dir_downloads', 1),
(12, 'add_dir_downloads', 1),
(9, 'add_dir_downloads', 1),
(10, 'add_dir_downloads', 1),
(7, 'add_dir_downloads', 1),
(8, 'add_dir_downloads', 1),
(5, 'add_dir_downloads', 1),
(6, 'add_dir_downloads', 1),
(3, 'add_dir_downloads', 1),
(4, 'add_dir_downloads', 1),
(1, 'add_dir_downloads', 1),
(2, 'add_dir_downloads', 1),
(1, 'delete_comments', 1),
(2, 'delete_comments', 1),
(3, 'delete_comments', 1),
(4, 'delete_comments', 1),
(5, 'delete_comments', 1),
(6, 'delete_comments', 1),
(7, 'delete_comments', 1),
(8, 'delete_comments', 1),
(9, 'delete_comments', 1),
(10, 'delete_comments', 1),
(11, 'delete_comments', 1),
(12, 'delete_comments', 1),
(13, 'delete_comments', 1),
(14, 'delete_comments', 2),
(15, 'delete_comments', 2),
(1, 'team_news', 1),
(2, 'team_news', 1),
(3, 'team_news', 1),
(4, 'team_news', 1),
(5, 'team_news', 1),
(6, 'team_news', 1),
(7, 'team_news', 1),
(8, 'team_news', 1),
(9, 'team_news', 1),
(10, 'team_news', 1),
(11, 'team_news', 1),
(12, 'team_news', 1),
(13, 'team_news', 1),
(14, 'team_news', 1),
(15, 'team_news', 2);

-- --------------------------------------------------------

--
-- Структура таблицы `user_level`
--

CREATE TABLE IF NOT EXISTS `user_level` (
  `name` varchar(64) NOT NULL,
  `level` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `user_level`
--

INSERT INTO `user_level` (`name`, `level`) VALUES
('Пользователь', 1),
('VIP персона', 2),
('Модератор чата', 3),
('Модератор обменника', 4),
('Модератор фотоальбомов', 5),
('Модератор подарков', 6),
('Модератор блогов', 7),
('Модератор сообществ', 8),
('Модератор конференций', 9),
('Модератор загрузок', 10),
('Модератор форума', 11),
('Модератор библиотеки', 12),
('Старший модератор', 13),
('Администратор', 14),
('Создатель сайта', 15);

-- --------------------------------------------------------

--
-- Структура таблицы `user_rating`
--

CREATE TABLE IF NOT EXISTS `user_rating` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `rate_id` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `user_rating`
--


-- --------------------------------------------------------

--
-- Структура таблицы `user_settings`
--

CREATE TABLE IF NOT EXISTS `user_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `fast_form` int(11) NOT NULL DEFAULT '1',
  `img_site` int(11) NOT NULL DEFAULT '1',
  `new_posts` int(11) NOT NULL DEFAULT '1',
  `auto_go` int(11) NOT NULL DEFAULT '2',
  `theme` varchar(256) NOT NULL DEFAULT 'default',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `user_settings`
--

-- --------------------------------------------------------

--
-- Структура таблицы `warn`
--

CREATE TABLE IF NOT EXISTS `warn` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `title` varchar(512) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `read` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `warn`
--